## ros-indigo-h4r-thermapp-camera 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(h4r_thermapp_camera)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  image_transport
  roscpp
  sensor_msgs
  cv_bridge
)


## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system thread)

#Libusb
find_package(PkgConfig REQUIRED)
pkg_search_module(LIBUSB1 REQUIRED libusb-1.0)
include_directories(SYSTEM ${LIBUSB1_INCLUDE_DIRS})

#Generate dynamic reconfigure stuff
generate_dynamic_reconfigure_options(cfg/h4r_thermapp_camera_node.cfg)

catkin_package(
   INCLUDE_DIRS include
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(libthermappcamera SHARED src/ThermAppCam/thermapp/thermapp.c)

add_executable(thermapp_camera_node 
src/thermapp_camera_node.cpp 
src/ThermAppRos.cpp)

target_link_libraries(thermapp_camera_node libthermappcamera)

target_link_libraries(thermapp_camera_node
   ${LIBUSB1_LIBRARIES}
   ${catkin_LIBRARIES}
)

#############
## Install ##
#############


## Mark executables and/or libraries for installation
install(TARGETS libthermappcamera thermapp_camera_node
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

##Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
   PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch udev
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)


#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_thermapp_camera.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-h4r-thermapp-camera (0.0.3-0trusty) trusty; urgency=high

  * add source code of ThermAppCam
  * remove submodule
  * Contributors: Christian Holl

 -- Christian Holl <cyborgx1@gmail.com>  Fri, 29 May 2015 22:00:00 -0000

ros-indigo-h4r-thermapp-camera (0.0.2-0trusty) trusty; urgency=high

  * fix exec to run depend
  * add missing system dependencies to package.xml
  * Contributors: Christian Holl

 -- Christian Holl <cyborgx1@gmail.com>  Wed, 27 May 2015 22:00:00 -0000

ros-indigo-h4r-thermapp-camera (0.0.1-0trusty) trusty; urgency=high

  * fix License information
  * add install to CMakeLists
  * update ReadMe with install information
  * add udev file
  * change thermapp.launch
  * Merge branch 'develop'
  * fix submodule for ThermAppCam project
  * Initial commit
  * add author tag
  * fix dynamic reconfigure
  * change #define for header file
  * change package name to h4r
    add default values to dynamic_reconfigure
    tidy up package.xml
  * integrate reading camera
  * rename namespace,
    add first functions
    make it compile with ThermAppCam files
  * delete old thermapp code
  * delete class for own code
  * add new thermapp code to library and to node in CMakeLists
  * create include for catkin for not breaking up with origin of the thermapp code
  * update ThermAppCam
  * add ThermAppCam from PidBip (Alexander G)
  * last of my own tries to get protocol working
  * removed prints
  * stable image but slow
  * fix filename of perspective in launchfile
  * reformat launchfile code
  * add current code to main node to have easier testing
  * add current code to bulk class
  * create rqt perspective with image view and launchfile
  * add Code from test application
  * add function for opening usb device
    add function for closing
    add function for requesting image (unfinished)
  * add libusb to CMakeLists
  * add class for usb bulk transfer
  * add thermapp_camera_node
    -add boost thread bind
    -add dynamic reconfigure
    -add CameraPublisher
    -add cv bridge
  * Add maintainer and description to package.xml
  * initial commit, create ros package
  * initial commit, create ros package
  * Contributors: Christian Holl

 -- Christian Holl <cyborgx1@gmail.com>  Sat, 16 May 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-h4r-thermapp-camera
Section: misc
Priority: extra
Maintainer: Christian Holl <cyborgx1@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-h4r-thermapp-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: The thermapp_camera package provides a library and a node for the Opgal® ThermApp® Android Thermal Camera

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-h4r-thermapp-camera//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
